{% extends 'layouts/default.twig' %}

{% block main %}
    {{ form_start(form) }}

    {% embed 'components/field.twig' with {'title': 'legal.pp'|trans, 'classes': ['ui-padding']} %}
        {% block content %}
            {{ privacyPolicyContent|raw }}
        {% endblock %}
    {% endembed %}

    {% if loggedIn %}
        {% embed 'components/field.twig' with {'title': 'legal.acknowledge'|trans, 'classes': ['ui-padding']} %}
            {% block content %}
                {{ 'legal.not_acknowledge_pp_description'|trans }}
                {{ form_row(form.privacyPolicyAcknowledged) }}
                {{ 'legal.dont_agree'|trans }}
                <a href="/?page=settings&sub=deleteaccount" class="button danger">{{ 'legal.delete_account'|trans }}</a>
            {% endblock %}
        {% endembed %}

        {% if showPrivacyNotice %}
            {% embed 'components/field.twig' with {'title': 'legal.privacy_notice'|trans, 'classes': ['ui-padding']} %}
                {% block content %}
                    {{ privacyNoticeContent|raw }}
                {% endblock %}
            {% endembed %}

            {% embed 'components/field.twig' with {'title': 'legal.acknowledge'|trans, 'classes': ['ui-padding']} %}
                {% block content %}
                    {{ 'legal.not_acknowledge_pn_description'|trans }}
                    {{ form_row(form.privacyNoticeAcknowledged) }}
                {% endblock %}
            {% endembed %}
        {% endif %}

        <input type="submit" value="{{ 'legal.actions.safe'|trans }}"/>
    {% endif %}

    {% do form.privacyPolicyAcknowledged.setRendered %}
    {% do form.privacyNoticeAcknowledged.setRendered %}

    {{ form_end(form) }}
{% endblock %}
